> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/web/get-started/faq/what-is-the-bcid.md).

# What is the BCID?

World's #1 PDF SDK Library for Web, Mobile, Server, Desktop

### What is the BCID?

When Webviewer attempts to connect to a WebViewer Server instance it will include a query parameter called `BCID` when using versions of WebViewer above 7.0. This parameter is used in conjunction with our `wv-loadbalancer` to maintain client stickiness to individual servers during document sessions.

Every time a document is opened in WebViewer, a new `BCID` is generated. The `wv-loadbalancer` will then see this ID and assign it to one of its available servers. During that documents life, the connection will be tied to a specific server. Once another document is opened, this `BCID` is generated again, and the `wv-loadbalancer` chooses a server for this new session.

You can leverage this `BCID` to maintain stickiness for your instance of WebViewer Server even if you are not using our load balancer. The following code is how this is done inside of HAProxy.

{% tabs %}
{% tab title="Bash" %}
{% code lineNumbers="true" %}

```bash
# create a stick table and stick on the query parameter 'bcid'
stick-table type string len 40 size 5M expire 1d
stick on url_param(bcid)
```

{% endcode %}
{% endtab %}
{% endtabs %}

This `BCID` can be used in conjunction with what was discussed in this [guide](/web/get-started/faq/load_balancing.md)

You can access the [BCID client side in WebViewer](/web/webviewer-server/wv-server-hardware-and-network.md#retrieving-the-bcid) by following the directions.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.apryse.com/web/get-started/faq/what-is-the-bcid.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
